--- title: "getScanners" slug: "analytics-datacatalog-scanner-getscanners" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-scanner-getscanners" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getScanners Available in VPC Get the list of scanners in a catalog. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs/{catalogId}/scanners | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Page output count - 1-200 (default: 20) | | `searchValue` | String | Optional | Search keyword - Search by scanner name or description - URL encoding required when entering Korean | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/scanners?searchValue=%EB%8F%84%EC%84%9C%EA%B4%80' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | - | Page number | | `pageSize` | Integer | - | Page output count | | `totalCount` | Integer | - | Number of response results | | `scannerResponseList` | Array | - | Scanner list: [scannerResponseList](/docs/en/analytics-datacatalog-scanner-getscanners#scannerResponseList) | #### `scannerResponseList` The following describes `scannerResponseList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `scannerId` | Integer | - | Scanner ID | | `name` | String | - | Scanner name | | `status` | String | - | Scanner status - `SCANNER_IDLE` \| `SCANNER_STARTING` \| `SCANNER_RUNNING` \| `SCANNER_STOPPING` \| `SCANNER_DONE` - `SCANNER_IDLE`: pending execution - `SCANNER_STARTING`: execution started - `SCANNER_RUNNING`: running - `SCANNER_STOPPING`: execution stopped - `SCANNER_DONE`: execution completed | | `description` | String | - | Scanner description - Displayed if a value exists | | `type` | String | - | Source data type | | `location` | String | - | Source data path | | `schedule` | String | - | Cron expression for scanner execution cycle - Displayed if periodic execution is set | | `scheduleType` | String | - | Scanner execution cycle - `ON_DEMAND` \| `EVERY_DAY` \| `EVERY_WEEK` \| `EVERY_MONTH` \| `CRON` - `ON_DEMAND`: on-demand (upon user request) - `EVERY_DAY`: every day - `EVERY_WEEK`: every week - `EVERY_MONTH`: every month - `CRON`: cron | | `opAddType` | String | - | Collection options when adding schema - `UPDATE_TABLE` \| `ADD_NEW_COLUMNS_ONLY` \| `IGNORE_UPDATE` - `UPDATE_TABLE`: Update table definition. - `ADD_NEW_COLUMNS_ONLY`: Only add new column. - `IGNORE_UPDATE`: Ignore. | | `opDelType` | String | - | Options when deleting schema - `DEL_NO`: Ignore (valid value). | | `includePattern` | String | - | Patterns to include in scan | | `excludePattern` | String | - | Patterns to exclude from scan - Exclusion patterns take precedence over inclusion patterns. | | `tablePrefixName` | String | - | Output data prefix - Displayed if a value exists | | `lastExecStartTime` | String | - | Last scanner execution date and time - ISO 8601 format | | `lastExecElapsedTime` | Integer | - | Last scanner execution time (second) | | `lastResult` | String | - | Last scanner execution result | | `isSchedulePaused` | Integer | - | Whether to pause the execution cycle - `1` \| `0` - `1`: pause - `0`: pause unavailable | | `catalogId` | Integer | - | Catalog ID | | `connectionId` | Integer | - | Connection ID | | `databaseName` | String | - | Database name for the output data | | `createTime` | String | - | Scanner creation date and time - ISO 8601 format | | `updateTime` | String | - | Update date and time - ISO 8601 format | | `lastHistoryUuid` | String | - | Last execution history UUID | ### Response status codes For response status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "pageNo": 1, "pageSize": 20, "totalCount": 7, "scannerResponseList": [ { "scannerId": 9**, "name": "s_mysql", "status": "SCANNER_IDLE", "description": "Scanner for my_DB", "type": "CLOUD_DB_FOR_MYSQL", "location": "tables", "schedule": "0 4 * * *", "scheduleType": "EVERY_DAY", "opAddType": "UPDATE_TABLE", "opDelType": "DEL_NO", "includePattern": "req_avg_*", "excludePattern": "sample/*.json", "tablePrefixName": "out_", "lastExecStartTime": "2025-03-18T17:15:58+0900", "lastExecElapsedTime": 6, "lastResult": "SUCCESS", "isSchedulePaused": 0, "catalogId": 4**, "connectionId": 6**, "databaseName": "default", "createTime": "2025-03-18T14:36:29+0900", "updateTime": "2025-03-19T11:21:06+0900", "lastHistoryUuid": "********" }, { "scannerId": 9**, "name": "employee_list", "status": "SCANNER_IDLE", "description": "employee list", "type": "OBJECT_STORAGE", "location": "s3a://datacatalog-c***-e******f/my_database/employeeList/", "schedule": "0 2 1 * *", "scheduleType": "EVERY_MONTH", "opAddType": "ADD_NEW_COLUMNS_ONLY", "opDelType": "DEL_NO", "lastExecStartTime": "2025-03-18T09:40:41+0900", "lastExecElapsedTime": 6, "lastResult": "SUCCESS", "isSchedulePaused": 0, "catalogId": 4**, "databaseName": "default", "createTime": "2025-03-18T09:34:42+0900", "updateTime": "2025-03-19T10:18:10+0900", "lastHistoryUuid": "********" }, ... ] } ```